package com.sw.mes.yb.pc.service;

import com.sw.mes.core.base.BaseService;
import com.sw.mes.core.utils.RequestPage;
import com.sw.mes.yb.pc.entity.PickingInfo;
import org.springframework.data.jpa.domain.Specification;

import java.util.List;
import java.util.Map;

public interface PickingInfoService extends BaseService<PickingInfo> {

    List<PickingInfo> findByExample(Specification<PickingInfo> specification, RequestPage page);

   // StoreOutputApplyDto initApplyDto(PickingInfo pickingInfo);

    void initSaveOrUpdate(PickingInfo pickingInfo) throws Exception;

    Map<String, Object> initJsonString(PickingInfo pickingInfo);

    PickingInfo findByDeviceNo(String deviceNo);

    PickingInfo findByLotNo(String lotNo);
}
